package com.cn.esermis.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.ListOperations;
import org.springframework.stereotype.Service;

@Service
public class RedisQueueService {

    @Autowired
    private ListOperations<String, Object> listOps;

    public void sendMessage(String queueKey, Object message) {
        listOps.rightPush(queueKey, message);
    }

    public Object receiveMessage(String queueKey) {
        return listOps.leftPop(queueKey);
    }

}