package com.cn.esermis.datawarn.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cn.esermis.datawarn.entity.AirHourRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @ClassName: CountAirChargeMapper
 * @author: Mr.Chen
 * @date: 2024/9/13 9:34
 */
@Mapper
public interface CountAirChargeMapper extends BaseMapper<AirHourRecord> {
    @Select(value = "select avg from air_monitor_hour_record where mn = #{mn} and factor = #{factor} and data_time in (#{time1},#{time2},#{time3},#{time4},#{time5}) ")
    List<Double> airSixHour(@Param("mn") String mn, @Param("factor") String factor, @Param("time1") String time1, @Param("time2") String time2, @Param("time3") String time3, @Param("time4") String time4, @Param("time5") String time5);
}
