package com.cn.esermis.datawarn.mapper;

import org.apache.ibatis.annotations.Param;

public class ExceedDataSQL {

   public static String hoursAvg(@Param("mn") String mn, @Param("factor") String factor) {
        StringBuilder sql = new StringBuilder();
        sql.append("select ");
        sql.append("hours_avg from monitoring_factor where analytical_instrument_id in ");
        sql.append("(select id from analytical_instrument where data_acquisition_instrument_id in");
        sql.append("(select id from data_acquisition_instrument where mn_code = #{mn})");
        sql.append(") and factor = #{factor}");
        return sql.toString();
    }

    public static String hoursAvg() {
        StringBuilder sql = new StringBuilder();
        sql.append("select ");
        sql.append("hours_avg from monitoring_factor where analytical_instrument_id in ");
        sql.append("(select id from analytical_instrument where data_acquisition_instrument_id in");
        sql.append("(select id from data_acquisition_instrument where mn_code = #{mn})");
        sql.append(") and factor = #{factor}");
        return sql.toString();
    }
}




