package com.cn.esermis.dpld.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 监测因子表
 */
@Data
@TableName("post_marking")
public class PostMarking {

    private static final long serialVersionUID = 8887499842971074427L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.UUID)
    private String id;
    /**
     * 处置单单号
     */
    @TableField(value = "management_number")
    private String managementNumber;
    /**
     * 检测因子编码
     */
    @TableField(value = "outlet_number")
    private String outletNumber;
    /**
     * 小时均值
     */
    @TableField(value = "outlet_name")
    private String outletName;
    /**
     * 处置单内容
     */
    @TableField(value = "management_content")
    private String managementContent;
    /**
     * 企业核实状态 1属实、2不属实
     */
    @TableField(value = "verification_status")
    private Integer verificationStatus;

    /**
     * 原因分类  1停炉、2故障
     */
    @TableField(value = "reason_classification")
    private Integer reasonClassification;

    /**
     * 原因分类  1停炉、2故障
     */
    @TableField(value = "specific_reasons")
    private String specificReasons;

    /**
     * 管理员核实状态  1属实、2不属实
     */
    @TableField(value = "verifies_status")
    private Integer verifiesStatus;
    /**
     * 管理员分类  1停炉、2故障
     */
    @TableField(value = "management_classification")
    private Integer managementClassification;

    /**
     * 管理员具体原因
     */
    @TableField(value = "management_reasons")
    private String managementReasons;
    /**
     * mn好
     */
    @TableField(value = "mn_code")
    private String mnCode;
    @TableField(value = "company_code")
    private String companyCode;
    @TableField(value = "department_code")
    private String departmentCode;
    @TableField(value = "unit_type")
    private Integer unitType;
    @TableField(value = "unit_opinion")
    private String unitOpinion;

}
