package com.cn.esermis.dpld.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cn.esermis.dpld.entity.DataAcquisitionInstrument;
import com.cn.esermis.dpld.model.DataAcquisitionInstrumentVo;
import com.cn.esermis.dpld.model.OutletAndFactorVo;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public interface IDataAcquisitionInstrumentService extends IService<DataAcquisitionInstrument> {


    List<OutletAndFactorVo> selectlist();

    List<Map<String,Object>> getCompony();

    List<Map<String, Object>> getDepartment(String componyid);

    Map<String, Object> getComponyMap();

    Map<String, Object> getDepartmentMap();

    List<DataAcquisitionInstrument> listByCode(DataAcquisitionInstrumentVo vo);

    List<String> getComponyList(String companyName,String companyId);

    List<String> getComponyListAll(String companyName);
}
