package com.cn.esermis.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebConfig implements WebMvcConfigurer {

    @Autowired
    private MyInterceptor myInterceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        // 添加拦截器，并设置拦截规则
        registry.addInterceptor(myInterceptor)
                .addPathPatterns("/**"); // 拦截所有请求
        //.excludePathPatterns("/login", "/error"); // 排除某些请求
    }
}
