package com.cn.esermis.datawarn.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;


/**
 * @ClassName: AirHourRecord
 * @author: Mr.Chen
 * @date: 2024/9/13 9:15
 */
@Data
@TableName(value = "air_monitor_hour_record")
public class AirHourRecord {

    private String id;
    private String qn;
    private String st;
    private String cn;
    private String pw;
    private String mn;
    private Integer flag;
    @TableField(value = "data_time")
    private String dataTime;
    private String factor;
    private BigDecimal max;
    private BigDecimal min;
    private BigDecimal avg;
    private BigDecimal cou;
    @TableField(value = "factor_flag")
    private String factorFlag;
    @TableField(value = "zx_min")
    private BigDecimal zxMin;
    @TableField(value = "zx_max")
    private BigDecimal zxMax;
    @TableField(value = "zx_avg")
    private BigDecimal zxAvg;
    @TableField(value = "is_count")
    private String isCount;
}
