package com.cn.esermis.datawarn.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName: MonitoringFactor
 * @author: Mr.Chen
 * @date: 2024/9/25 9:25
 */
@TableName(value = "monitoring_factor")
@Data
public class MonitoringFactor {
    private String id;
    @TableField(value = "analytical_instrument_id")
    private String analyticalInstrumentId;
    private String factor;
    @TableField(value = "hours_avg")
    private BigDecimal hoursAvg;
    @TableField(value = "hours_unit")
    private String hoursUnit;
    @TableField(value = "monthly_emissions")
    private BigDecimal monthlyEmissions;
    @TableField(value = "monthly_emissions_unit")
    private String monthlyEmissionsUnit;
    @TableField(value = "year_emissions")
    private BigDecimal yearEmissions;
    @TableField(value = "year_emissions_unit")
    private String yearEmissionsUnit;
    private BigDecimal range;
    @TableField(value = "range_unit")
    private String rangeUnit;
}
