package com.cn.esermis.dpld.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cn.esermis.dpld.entity.AnalyticalInstruments;
import com.cn.esermis.dpld.mapper.AnalyticalInstrumentsMapper;
import com.cn.esermis.dpld.service.IAnalyticalInstrumentsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

@Service
public class AnalyticalInstrumentsServiceImpl extends ServiceImpl<AnalyticalInstrumentsMapper, AnalyticalInstruments> implements IAnalyticalInstrumentsService {


    @Resource
    private AnalyticalInstrumentsMapper analyticalInstrumentsMapper;
    @Override
    public List<AnalyticalInstruments> getByDataAcquisitionInstrumentid(String id) {
        return analyticalInstrumentsMapper.getByDataAcquisitionInstrumentid(id);
    }

    @Override
    public boolean saveOb(AnalyticalInstruments analyticalInstruments) {
        return analyticalInstrumentsMapper.saveOb(analyticalInstruments);
    }
}
